local lcDir, ;
	lcSampleDir, ;
	laFiles[1], ;
	lnFiles, ;
	lnI

* Set up the environment.

set fullpath on
set safety off
close databases all

* Figure out where we're running from and create a DATA subdirectory if
* necessary.

lcDir = addbs(justpath(sys(16))) + 'data\'
if not directory(lcDir)
	md (lcDir)
endif not directory(lcDir)

* Find the VFP sample data. Give an error message if we can't.

lcSampleDir = addbs(home(2))
if not file(lcSampleDir + 'data\testdata.dbc')
	lcSampleDir = fullpath('..\MSDN98\98VS\1033\SAMPLES\VFP98\', home())
	if not file(lcSampleDir + 'data\testdata.dbc')
		lcSampleDir = fullpath('..\MSDN98\98VSA\1033\SAMPLES\VFP98\', home())
	endif not file(lcSampleDir + 'data\testdata.dbc')
	if not file(lcSampleDir + 'data\testdata.dbc')
		lcSampleDir = home() + 'samples\'
	endif not file(lcSampleDir + 'data\testdata.dbc')
endif not file(lcSampleDir + 'data\testdata.dbc') ...
if not file(lcSampleDir + 'data\testdata.dbc')
	= messagebox('This program requires the TESTDATA sample database that ' + ;
		'comes with VFP, but it cannot be located on your system.' + ;
		chr(13) + chr(13) + 'Use the File Locations page of the Tools ' + ;
		'Options dialog to set the Samples Directory value (typically, ' + ;
		'this should be set to something like C:\PROGRAM FILES\MICROSOFT ' + ;
		'VISUAL STUDIO\MSDN98\98VS\1033\SAMPLES\VFP98\), then run this ' + ;
		'program again.'), 16)
	return .F.
endif not file(lcSampleDir + 'data\TESTDATA.DBC')

* Copy the VFP sample data to the desired directory, then remove some files we
* don't need.

wait window 'Setting up sample data...' nowait
lnFiles = adir(laFiles, lcSampleDir + 'data\*.*')
for lnI = 1 to lnFiles
	copy file (lcSampleDir + 'data\' + laFiles[lnI, 1]) to ;
		(lcDir + laFiles[lnI, 1])
next lnI
erase (lcDir + '*.qpr')
erase (lcDir + 'country.*')
erase (lcDir + 'insubq.prg')
erase (lcDir + 'queries.*')
wait clear
